#
# spec file for package libsoup (Version 2.2.90)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl atk atk-devel attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib cvs cyrus-sasl db desktop-translations diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-filesystem gnutls gnutls-devel gpm grep groff gtk2 gtk2-devel gzip info insserv klogd less libacl libattr libcom_err libdrm libgcc libgcrypt libgcrypt-devel libgpg-error libgpg-error-devel libjpeg libnscd libpng libpng-devel libstdc++ libtool libxcrypt libxml2 libxml2-devel libzio lzo lzo-devel m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl pam pam-modules pango pango-devel patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           libsoup
BuildRequires:  gnutls-devel gtk2-devel libxml2-devel lzo-devel update-desktop-files
%define prefix /opt/gnome
License:        LGPL
Group:          Development/Libraries/GNOME
Autoreqprov:    on
Summary:        Simple Object Access Protocol (SOAP)
Version:        2.2.90
Release:        18.6
Source:         ftp://ftp.gnome.org/pub/GNOME/stable/sources/libsoup/2.2/%{name}-%{version}.tar.bz2
Patch:          libsoup-varadhan-timeout.patch
Patch2:         libsoup-proxy-fix.patch
Patch3:         libsoup-connector-fix.patch
URL:            http://www.gnome.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Soup is a SOAP (Simple Object Access Protocol) implementation in C.

It provides a queued asynchronous callback-based mechanism for sending
and servicing SOAP requests and a WSDL (Web Service Definition
Language) to C compiler that generates client stubs and server
skeletons for easily calling and implementing SOAP methods.

It uses the Glib main loop and is designed to work well with GTK+
applications.  This enables GNOME applications to access SOAP servers
on the network in a completely asynchronous fashion, very similar to
the GTK+ programming model (a synchronous operation mode is also
supported for those who want it).

The WSDL compiler helps you make your applications interoperate with
services that expose their descriptions through WSDL.



Authors:
--------
    Alex Graveley   <alex@ximian.com>
    Dick Porter     <dick@ximian.com>
    Miguel De Icaza <miguel@ximian.com>

%debug_package
%package devel
Summary:        Include Files and Libraries mandatory for Development.
Group:          Development/Libraries/GNOME
Requires:       libsoup = %{?epoch:%{epoch}:}%{version}
Requires:       gnutls-devel libgpg-error-devel libgcrypt-devel
Requires:       glib2-devel libxml2-devel

%description devel
Soup is a SOAP (Simple Object Access Protocol) implementation in C. It
provides a queued, asynchronous callback-based mechanism for sending
SOAP requests. This package allows you to develop applications that use
the Soup library.



Authors:
--------
    Alex Graveley   <alex@ximian.com>
    Dick Porter     <dick@ximian.com>
    Miguel De Icaza <miguel@ximian.com>

%prep
%setup -q
%patch
%patch2
%patch3

%build
rm -rf $RPM_BUILD_ROOT
export CFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=%{prefix} \
	    --mandir=%{_mandir} \
            --libdir=%{prefix}/%{_lib}
make

%install
make -s install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README COPYING ChangeLog NEWS TODO AUTHORS INSTALL
%{prefix}/%_lib/lib*.so.*

%files devel
%defattr(-, root, root)
%{prefix}/include/libsoup-2.2
%{prefix}/%{_lib}/lib*.*a
%{prefix}/%{_lib}/lib*.so
%{prefix}/%_lib/pkgconfig/*.pc
%{prefix}/share/gtk-doc/html/libsoup/

%changelog -n libsoup
* Mon May 29 2006 - danw@suse.de
- Make https-via-proxy actually work (another part of 174255)
  and fix a crash in evolution-exchange when talking to
  Exchange 2003 servers using forms-based auth (bugzilla.gnome.org
  342545).
* Mon May 22 2006 - danw@suse.de
- Fix a deadlock when changing the proxy URI. Part of 174255
  (comment 7).
* Mon Feb 27 2006 - danw@suse.de
- Add a patch from CVS for use by evolution
  (make connection timeout configurable)
* Tue Feb 21 2006 - sbrabec@suse.cz
- Do not require exact release in devel file.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Nov 17 2005 - danw@suse.de
- update to 2.2.90, which includes the opensync patches
* Wed Nov 02 2005 - dmueller@suse.de
- don't build as root
* Mon Aug 22 2005 - jpr@suse.de
- Update to released 2.2.6.1 which includes the cvs patches we were already
  folding in plus the second part of the fix for 104319
* Thu Aug 18 2005 - ro@suse.de
- update to cvs version folding in other patches
* Thu Aug 18 2005 - ro@suse.de
- added libsoup-2.2.3-danw-tambet-threading.patch
* Mon Aug 15 2005 - ro@suse.de
- fixed memory leak (port of patch from #95454)
* Fri Aug 12 2005 - ro@suse.de
- updated and re-enabled patches...
* Fri Aug 12 2005 - jpr@suse.de
- Add lzo and lzo-devel to neededforbuild to get ssl support back (104319)
* Fri Aug 12 2005 - gekker@suse.de
- Update to version 2.2.5
* Wed Jun 29 2005 - gekker@suse.de
- Update to version 2.2.3
* Tue Jun 28 2005 - gekker@suse.de
- Add patch for close exec (62176).
* Thu Mar 10 2005 - hvogel@suse.de
- More gnutls patching. Fixed CPU sucking bug #57811 (ximian)
* Sat Feb 05 2005 - gekker@suse.de
- Update to version 2.2.2
* Fri Jan 28 2005 - meissner@suse.de
- Added sentinels to spot bad valist handling, no-strict-aliasing
  is not needed here.
* Sat Jan 22 2005 - ro@suse.de
- GNUTLS_CERT_NOT_TRUSTED is no longer present in current gnutls
* Mon Nov 29 2004 - gekker@suse.de
- Update to version 2.2.1
* Wed Oct 20 2004 - dobey@suse.de
- Add patch for bugzilla.ximian.com bug #68583
* Fri Aug 27 2004 - dobey@suse.de
- Update to version 2.2.0
* Fri Aug 13 2004 - dobey@suse.de
- Update to version 2.1.13
- Require glib2-devel for the libsoup-devel package
* Thu Aug 05 2004 - dobey@suse.de
-  Add proper dependencies to the devel package
* Thu Aug 05 2004 - dobey@suse.de
-  Fix support for SSL
* Wed Jul 28 2004 - dobey@suse.de
-  Updated to version 2.1.12
* Fri Jun 04 2004 - mibarra@suse.de
-  Updated to version 2.1.11
* Sat May 22 2004 - mibarra@suse.de
- Updated to version 2.1.10.
* Tue May 18 2004 - clahey@suse.de
- Updated to version 2.1.9.
* Mon Mar 22 2004 - hhetter@suse.de
- updated to version 1.99.28
* Tue Mar 16 2004 - meissner@suse.de
- -fno-strict-aliasing.
* Fri Aug 08 2003 - sbrabec@suse.cz
- Updated to version 1.99.23.
* Tue Aug 05 2003 - sbrabec@suse.cz
- Package renamed to libsoup.
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Thu May 22 2003 - sbrabec@suse.cz
- Initial SuSE version of GNOME2 port.
